.main {
    .main__section {
        background-image: url('../img/background/main-banner.png');
        background-repeat: no-repeat;
        background-size: cover;
        background-position: center;

        @media (max-width: 768px) {
            background-image: url('../img/background/mobile-main-banner.png');
        }

        .main__block {
            padding-top: 104px;
            padding-bottom: 100px;
            max-width: 424px;
            width: 100%;

            @media (max-width: 768px) {
                padding-top: 60px;
                padding-bottom: 76px;
            }

            .watch__btn {
                background-color: $btn;
                width: 204px;
                height: 56px;

                &:hover {
                    background-color: $btnHover;
                    box-shadow: 0px 2px 24px rgba(255, 30, 30, 0.5);
                }

                @media (max-width: 768px) {
                    width: 200px;
                    height: 56px;
                }

                @media (max-width: 768px) {
                    width: 168px;
                    height: 48px;
                }
            }
        }
    }

    .actors__section {
        .title__wrapper {
            display: flex;
            justify-content: space-between;
            align-items: center;
            
            .swiper__buttons {
                display: flex;
                align-items: center;
                gap: 24px;

                @media (max-width: 425px) {
                    gap: 16px;
                }
                
                .button__arrow {
                    height: fit-content;
                    cursor: pointer;
                    
                    svg {
                        path {
                            opacity: 0.2;
                            transition: 0.3s ease;
                        }
                    }

                    &:hover {
                        svg {
                            path {
                                opacity: 1;
                                fill: $btnHover;
                            }
                        }
                    }
                }
            }
        }

        .swiper-pagination {
            position: relative;
            display: flex;
            margin-top: 24px;
            z-index: 1;

            @media (max-width: 425px) {
                margin-top: 16px;
            }
            
           .swiper-pagination-bullet {
                border-radius: 0;
                margin: 0;
                width: 100%;
                transition: 0.3s ease;
                height: 2px;
                background-color: $gray1;
           }

           .swiper-pagination-bullet-active {
                background-color: $btn;
                border-radius: 10px;
           }
        }

        .actors__slider {
            margin-top: 32px;
            
            .actor__card {
                background-repeat: no-repeat;
                background-position: center;
                background-size: cover;
                position: relative;
                width: 15rem;
                height: auto;
                padding: 2rem 1.5rem;
                cursor: pointer;

                @media (max-width: 768px) {
                    padding: 1.5rem 1rem;
                    width: 14rem;
                }
                

                .card__wrapper {
                    display: flex;
                    flex-direction: column;
                    justify-content: space-between;
                    height: 21rem;
                    position: relative;
                    top: 280px;
                    transition: 0.6s ease;

                    @media (max-width: 768px) {
                        height: 20rem;
                        top: 250px;
                    }
                   
                    .actor__title {
                        @include actorTitle;
                    }
    
                    .actor__text {
                        @include actorText;
                    }
                }

                &:hover {
                    .overlay__card {
                        backdrop-filter: blur(5px);
                        background: rgba(0, 0, 0, 0.4);
                    }

                    .card__wrapper {
                        top: 0;
                    }
                }
            }
        }
    }

    .gallery__section {
        .gallery__list {
            display: grid;
            grid-template-columns: 1fr 1fr;
            gap: 1.5rem;
            height: 36rem;
            margin-bottom: 32px;

            @media (max-width: 1280px) {
                height: 32rem;
            }

            @media (max-width: 1024px) {
                height: 25rem;
            }

            @media (max-width: 768px) {
                gap: 0.8rem;
                height: 18rem;
            }

            @media (max-width: 576px) {
                grid-template-columns: 1fr;
                height: 45rem;
            }

            @media (max-width: 425px) {
                height: 35rem;
            }

            .gallery-item__wrapper {
                &:last-child {
                    display: grid;
                    grid-template-columns: 1fr 1fr;
                    gap: 1.5rem;

                    @media (max-width: 768px) {
                        gap: 0.8rem;
                    }
                }

                .gallery__item {
                    background-repeat: no-repeat;
                    background-size: cover;
                    background-position: center;
                    height: 100%;
                }
            }
            
            .gallery__item {
                display: block;
                position: relative;

                .overlay__card {
                    &:before {
                        position: absolute;
                        content: url('../img/icon/loop.svg');
                        left: 50%;
                        top: 50%;
                        transform: translate(-50%, -50%);
                        transition: 0.6s ease;
                        opacity: 0;
                    }
                }

                &:hover {
                    .overlay__card {
                        backdrop-filter: blur(5px);
                        background: rgba(0, 0, 0, 0.4);

                        &:before {
                            opacity: 1;
                        }
                    }
                }
            }
        }

        .more__btn {
            height: 56px;
            background-color: $btn1;

            &:hover {
                background-color: $btnHover;
                box-shadow: 0px 2px 24px rgba(255, 30, 30, 0.5);
            }
        }
    }

    .map__section {
        .map__container {
            @media (max-width: 768px) {
                padding: 0;
            }
        }

        .map {
            width: 100%;
            height: 540px;
            
            .ymaps-2-1-79-searchbox-button {
                background: $btn;
                color: $white;
            }

            .ymaps-2-1-79-zoom {
                display: none;
            }

            .ymaps-2-1-79-ground-pane {
                filter: grayscale(1) brightness(0.7) invert(0);
            }
        }
    }
}